# roomruler

<p align="center">
  <img src="./media/logo.svg" alt="roomruler logo" width="150px">
</p>

## Overview

Web application for distribution of free classrooms. [Description](./description.md)

## Build instruction

Production:

```bash
docker build . --build-arg "VITE_WS_URL=<Backend url>" --target front --tag roomruler_front
docker build . --build-arg "VITE_WS_URL=<Backend url>" --target back --tag roomruler_back

docker run -d -e "DATABASE_URL=<CockroachDB connection string>" -p "<Backend public port>:8081" --name roomruler_back roomruler_back
docker run -d --name roomruler_front -p "<Frontend public port>:80" roomruler_front
```

Development:

```bash
npx pnpm install
npx pnpm -r run build
npx pnpm -r run dev
```
